# GimpUi.IntStore

    from gi.repository import GimpUi

    int_store = GimpUi.IntStore(user_data_type=value)

A model for integer based name-value pairs (e.g. enums)

## Hierarchy

- GObject.Object
  - Gtk.ListStore
    - GimpUi.IntStore

## Static Functions

- GimpUi.IntStore.lookup_by_user_data
- GimpUi.IntStore.lookup_by_value

## Properties

- user-data-type

## Fields

- GimpUi.IntStore->parent_instance